#include <iostream>
using namespace std;
int t;
long long br_ucenika,br_bana,br_grupa,min_br_ucenika,ostatak,res;
int main(){
    scanf("%d",&t);
    for(int i=0;i<t;i++){
        scanf("%lld %lld %lld",&br_ucenika,&br_bana,&br_grupa);
        min_br_ucenika=br_ucenika/br_grupa;
        ostatak=br_ucenika-min_br_ucenika*br_grupa;
        res=(min_br_ucenika+1)*ostatak+((min_br_ucenika+1)*min_br_ucenika)/2;
        if(res<=br_bana){
            cout << "Tak" << endl;
        }
        else cout << "Nie" << endl;
    }
    return 0;
}